Summary:	Bullet - collision detection and rigid body dynamics library
Summary(pl.UTF-8):	Bullet - biblioteka wykrywania kolizji oraz dynamiki ciała sztywnego
Name:		bullet
Version:	2.83.6
Release:	1
License:	Zlib (BSD-like)
Group:		Libraries
#Source0Download: https://github.com/bulletphysics/bullet3/releases
Source0:	https://github.com/bulletphysics/bullet3/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	44cb2464336a2082b2c144194c2a2668
Patch0:		%{name}-link.patch
Patch1:		%{name}-format.patch
URL:		http://bulletphysics.org/wordpress/
BuildRequires:	OpenCL-devel
BuildRequires:	OpenGL-devel >= 3.0
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-glut-devel
BuildRequires:	cmake >= 2.6
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bullet is a collision detection and rigid nody dynamics library.

%description -l pl.UTF-8
Bullet to biblioteka wykrywania kolizji oraz dynamiki ciała sztywnego.

%package devel
Summary:	Header files for bullet libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek bullet
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenCL-devel
Requires:	OpenGL-devel >= 3.0
Requires:	OpenGL-GLU-devel
Requires:	OpenGL-glut-devel

%description devel
Header files for bullet libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek bullet.

%package doc
Summary:	Bullet libraries documentation
Summary(pl.UTF-8):	Dokumentacja do bibliotek bullet
Group:		Documentation

%description doc
Bullet libraries documentation.

%description doc -l pl.UTF-8
Dokumentacja do bibliotek bullet.

%prep
%setup -q -n bullet3-%{version}
%patch0 -p1
%patch1 -p1

%build
install -d pkgbuild
cd pkgbuild
%cmake .. \
	-DBUILD_CPU_DEMOS=OFF \
	-DBUILD_EXTRAS=ON \
	-DBUILD_OPENGL3_DEMOS=OFF \
	-DINSTALL_EXTRA_LIBS=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C pkgbuild install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS.txt LICENSE.txt README.md
%attr(755,root,root) %{_libdir}/libBullet2FileLoader.so.*.*
%attr(755,root,root) %{_libdir}/libBullet3Collision.so.*.*
%attr(755,root,root) %{_libdir}/libBullet3Common.so.*.*
%attr(755,root,root) %{_libdir}/libBullet3Dynamics.so.*.*
%attr(755,root,root) %{_libdir}/libBullet3Geometry.so.*.*
%attr(755,root,root) %{_libdir}/libBullet3OpenCL_clew.so.*.*
%attr(755,root,root) %{_libdir}/libBulletCollision.so.*.*
%attr(755,root,root) %{_libdir}/libBulletDynamics.so.*.*
%attr(755,root,root) %{_libdir}/libBulletFileLoader.so.*.*
%attr(755,root,root) %{_libdir}/libBulletSoftBody.so.*.*
%attr(755,root,root) %{_libdir}/libBulletWorldImporter.so.*.*
%attr(755,root,root) %{_libdir}/libBulletXmlWorldImporter.so.*.*
%attr(755,root,root) %{_libdir}/libConvexDecomposition.so.*.*
%attr(755,root,root) %{_libdir}/libGIMPACTUtils.so.*.*
%attr(755,root,root) %{_libdir}/libHACD.so.*.*
%attr(755,root,root) %{_libdir}/libLinearMath.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libBullet2FileLoader.so
%attr(755,root,root) %{_libdir}/libBullet3Collision.so
%attr(755,root,root) %{_libdir}/libBullet3Common.so
%attr(755,root,root) %{_libdir}/libBullet3Dynamics.so
%attr(755,root,root) %{_libdir}/libBullet3Geometry.so
%attr(755,root,root) %{_libdir}/libBullet3OpenCL_clew.so
%attr(755,root,root) %{_libdir}/libBulletCollision.so
%attr(755,root,root) %{_libdir}/libBulletDynamics.so
%attr(755,root,root) %{_libdir}/libBulletFileLoader.so
%attr(755,root,root) %{_libdir}/libBulletSoftBody.so
%attr(755,root,root) %{_libdir}/libBulletWorldImporter.so
%attr(755,root,root) %{_libdir}/libBulletXmlWorldImporter.so
%attr(755,root,root) %{_libdir}/libConvexDecomposition.so
%attr(755,root,root) %{_libdir}/libGIMPACTUtils.so
%attr(755,root,root) %{_libdir}/libHACD.so
%attr(755,root,root) %{_libdir}/libLinearMath.so
%{_includedir}/bullet
%{_libdir}/cmake/bullet
%{_pkgconfigdir}/bullet.pc

%files doc
%defattr(644,root,root,755)
%doc docs/{BulletQuickstart,Bullet_User_Manual,GPU_rigidbody_using_OpenCL}.pdf
%changelog
* Wed Oct 07 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bullet.git;a=log;h=master

* Wed Oct 07 2015 Jakub Bogusz <qboosh@pld-linux.org> b0f843d
- cmakefiles expect INCLUDE_INSTALL_DIR to be relative (and have resonable default now)

* Wed Oct 07 2015 Jakub Bogusz <qboosh@pld-linux.org> ed77634
- typo

* Wed Oct 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 986ec53
- updated to 2.83.6
- updated link patch
- added format patch

* Tue Oct 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 80892e0
- release 2

* Mon Oct 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 1080f10
- typo

* Mon Dec 02 2013 Jakub Bogusz <qboosh@pld-linux.org> a8d11b4
- BR: libstdc++-devel

* Mon Dec 02 2013 Jakub Bogusz <qboosh@pld-linux.org> caa8a29
- adjusted intel/nvidia OpenCL variables

* Mon Dec 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 8780d1a
- avoid misdetection of intel/nvidia OpenCL

* Sun Dec 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 0bcc430
- typo

* Sun Dec 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 0996629
- updated to 2.82
- updated link patch

* Tue Aug 09 2011 lisu <lisu@pld-linux.org> 9983661
- rel 1

* Tue Aug 09 2011 lisu <lisu@pld-linux.org> 10c00b9
- apply link.patch
- package libBulletSoftBodySolvers_OpenCL_Mini

* Fri May 06 2011 lisu <lisu@pld-linux.org> 28ce321
- TODO

* Thu May 05 2011 lisu <lisu@pld-linux.org> 1241d04
- do not apply -link.patch for now
- rel 0.1

* Thu May 05 2011 lisu <lisu@pld-linux.org> de53e6e
- link with OpenCL

* Thu May 05 2011 lisu <lisu@pld-linux.org> a659072
- obsoleted

* Thu May 05 2011 lisu <lisu@pld-linux.org> 19b0843
- updated to 2.78
- fixed linking (patch)
- dropped obsoleted lib_suffix patch

* Wed May 04 2011 lisu <lisu@pld-linux.org> 19ed2e3
- better URL

* Wed Apr 06 2011 lisu <lisu@pld-linux.org> 6835e05
- use undos macro to fix patching

* Wed Apr 06 2011 lisu <lisu@pld-linux.org> b1386ad
- add suffix to lib

